Bug 187980 - Review Request: cdogs
Review Request: cdogs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thorsten Leemhuis (ignored mailbox)
Fedora Package Reviews List
:
: 187979 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 22:44 EDT by Alan Tennent
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-26 22:29:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Tennent 2006-04-04 22:44:47 EDT
Spec Name or Url: http://tux.senecac.on.ca/~atennent/cdogs.spec
SRPM Name or Url: http://tux.senecac.on.ca/~atennent/cdogs-0.1.0-1.src.rpm
Description:  An SDL port of an old DOS game called Cyber-Dogs. You control 1 or 2 characters and try to kill enemies throughout various levels. A great game, definitely worth a try.

Original game by Ronny Westor.
SDL port by Jeremy Chin and Lucas Martin-King.
 
The game is released as Freeware.
Comment 1 Wart 2006-04-04 22:53:44 EDT
A few quick notes:

Please use the full url to the downloadable source archive in the Source0: tag.

BuildRoot should match the Fedora Packaging Guidelines:
http://fedoraproject.org/wiki/Packaging/Guidelines

There's a typo in teh smp_mflags:  ) should be _

Use 'install -m ...' instead of 'mv' when copying files to /usr/bin so that you
can explicitly set the permissions.

Remove the leading 'a' and trailing period from the Summary.

Uncomment the 'rm' command in %clean.  Make sure you have the same rm command at
the start of the %install section.

Doesn't build on x86_64:

+ make
gcc -O2 -march=pentium2 -mtune=pentium2 -ggdb -Wall `sdl-config --cflags`
-I./include -I./missions \
-DCDOGS_DATA_DIR=\"/usr/local/share/games/cdogs/\" -c cdogs.c
cdogs.c:1: error: CPU you selected does not support x86-64 instruction set
cdogs.c:1: error: CPU you selected does not support x86-64 instruction set
make: *** [cdogs.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.74551 (%build)

In general, it looks like you should go over the packaging guidelines (linked
above) again and make sure that your spec file conforms to the Fedora Extras
standards.
Comment 2 Ville Skyttä 2006-04-05 01:55:28 EDT
*** Bug 187979 has been marked as a duplicate of this bug. ***
Comment 3 Wart 2006-04-26 17:39:26 EDT
I now get a 404 not found error when I try to access the spec file and src rpm
now.  Has it moved somewhere else?
Comment 4 Wart 2006-04-26 22:29:38 EDT
The packager has indicated to me via email that he is unable to continue to
maintain this package.  Closing as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.